use lunar_lib::database::Id;
use serde::{Deserialize, Serialize};

use crate::library::{album::Album, artist::Artist, track::Track};

#[derive(Debug, Clone, Serialize, Deserialize, PartialEq)]
pub enum Collectable {
    Track(Id<Track>),
    Artist(Id<Artist>),
    Album(Id<Album>),
    // Collection(CollectionItems),
}
